;;;
;;; modules.scm
;;; scsh modules
;;;
;;; Copyright (C) 1998-1999, Ivan Demakov.
;;;
;;; Permission to use, copy, modify, and distribute this software and its
;;; documentation for any purpose, without fee, and without a written
;;; agreement is hereby granted, provided that the above copyright notice
;;; and this paragraph and the following two paragraphs appear in all copies.
;;; Modifications to this software may be copyrighted by their authors
;;; and need not follow the licensing terms described here, provided that
;;; the new terms are clearly indicated on the first page of each file where
;;; they apply.
;;;
;;; IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
;;; FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
;;; INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS
;;; DOCUMENTATION, EVEN IF THE AUTHORS HAS BEEN ADVISED OF THE
;;; POSSIBILITY OF SUCH DAMAGE.
;;;
;;; THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIMS ANY WARRANTIES,
;;; INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
;;; AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
;;; ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAS NO OBLIGATIONS
;;; TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
;;;
;;;
;;; Author:        Ivan Demakov <demakov@users.sourceforge.net>
;;; Creation date: Wed Oct 14 00:28:23 1998
;;; Last Update:   $Author: demakov $ $Date: 2000/07/25 19:07:19 $
;;;
;;;
;;; $Id: modules.scm,v 1.1.1.1 2000/07/25 19:07:19 demakov Exp $
;;;
;;;
;;; Comments:
;;;
;;;

(define-module enumconst
  (export define-enum-constant define-enum-constants)
  (files (scsh enumconst)))

(define-module char-set
  (export char-set? char-set chars->char-set string->char-set
	  ascii-range->char-set predicate->char-set ->char-set
	  char-set-members char-set-contains? char-set-invert
	  char-set-union char-set-intersection char-set-difference
	  char-set:upper-case char-set:lower-case char-set:numeric
	  char-set:graphic char-set:not-graphic char-set:whitespace
	  char-set:not-whitespace char-set:alphabetic
	  char-set:alphanumeric)
  (files (scsh charset)))


;;; End of code
